<?php

define('CONFIG_HASH_KEY', 'ABCDEFGH');

try {
	
	// read json data
	$postdata = file_get_contents("php://input");
	$json = json_decode($postdata);
	$mtstatus = $json->mtstatus;
	
	// check hash
	$hashedStr = $mtstatus->id . $mtstatus->status;
	$hashedStr = hash_hmac('SHA1', $hashedStr, CONFIG_HASH_KEY);
	if($hashedStr != $mtstatus->hash) {
		throw new Exception('Hash error');
	}
	
	////////////////////////////////////////////////////////////////////
	// process status
	// your code
	
	if($mtstatus->status === 'D') {
		//SMS was billed and delivered
	}
	else if($mtstatus->status === 'E') {
		//SMS was NOT billed and delivered
	}
	else if($mtstatus->status === 'S') {
		//SMS was billed
	}
	else if($mtstatus->status === 'U') {
		//SMS was NOT  delivered
	}
	
		
	// response example
	$response = array(
		'id' => $mtstatus->id,
		'status' => 'ok'
	);

	
	////////////////////////////////////////////////////////////////////
	
}
catch(Exception $e) {		
	$response = array(
		'status' => 'error'
	);
}

echo json_encode($response);
