<?php

define('CONFIG_HASH_KEY', 'ABCDEFGH');

try {
	
	// read json data
	$postdata = file_get_contents("php://input");
	$json = json_decode($postdata);
	$mosms = $json->mosms;
	
	// check hash
	$hashedStr = $mosms->id . $mosms->src_no . $mosms->dst_no . $mosms->gtw_type . $mosms->message;
	$hashedStr = hash_hmac('SHA1', $hashedStr, CONFIG_HASH_KEY);
	if($hashedStr != $mosms->hash) {
		throw new Exception('Hash error');
	}
	
	////////////////////////////////////////////////////////////////////
	// process SMS
	// your code
		
	// response example
	$response = array(
		'status' => 'ok',
		'mtsms' => array(
			'id' => $mosms->id,
			'message' => 'Dakujeme za platbu',
			'bill_key' => 'MYPAY-01-00',
		),
	);
	
	// or
	$response = array(
		'status' => 'ok',
		'mtsms' => array(
			'id' => $mosms->id,
			'message' => 'SMS ste nenapisali v spravnom formate, prosim opravte sa...',
			'bill_key' => 'MYPAY-00-00',
		),
	);
	
	////////////////////////////////////////////////////////////////////
	
	$hashedStr = $response['mtsms']['id'] . $response['mtsms']['message'] . $response['mtsms']['bill_key'];
	$response['mtsms']['hash'] = hash_hmac('SHA1', $hashedStr, CONFIG_HASH_KEY);
	
	
}
catch(Exception $e) {		
	$response = array(
		'status' => 'error',
		'mtsms' => null,
	);
}

echo json_encode($response);
